package com.zsc.edu.gateway.domain.message;


import com.zsc.edu.gateway.modules.message.entity.UserNotice;

public class UserNoticeBuilder {
    public Long userId;
    public Long noticeId;
    public Boolean isRead;

    public static UserNoticeBuilder builder() {
        return new UserNoticeBuilder();
    }

    public UserNoticeBuilder setUserId(Long userId) {
        this.userId = userId;
        return this;
    }

    public UserNoticeBuilder setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
        return this;
    }

    public UserNoticeBuilder setIsRead(Boolean isRead) {
        this.isRead = isRead;
        return this;
    }

    public UserNotice build() {
        UserNotice userNotice = new UserNotice();
        userNotice.setUserId(userId);
        userNotice.setNoticeId(noticeId);
        userNotice.setIsRead(isRead);
        return userNotice;
    }
}
